2 Replies Latest reply on Jul 31, 2013 8:16 AM by MichaelKazlow

    Error when installing Adobe Update

    schneid5 Level 1

      I am trying to install the latest version of Abode Flash Player.  I received an error that I don't have sufficient priviledges to install it.  But, I am currently an adminstrator on the computer with the right to install anything on the computer.  Is there something additional that I need to do?  Thank you!